GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::HelpPage Class Reference
Inheritance diagram for GpgFrontend::UI::HelpPage:
Collaboration diagram for GpgFrontend::UI::HelpPage:

## Public Slots
void | slot_open_url (const QUrl &url)

## Public Member Functions
| HelpPage (const QString &path, QWidget *parent=nullptr)
| Construct a new Help Page object. More...
QTextBrowser * | GetBrowser ()
| Get the Browser object. More...

## Private Member Functions
QUrl | localized_help (const QUrl &path)
| HelpPage::localized_help check if the requested file is also available with the locale, e.g. return index.de.html if index.html was requested but the locale is de and index.de.html is available. More...

## Private Attributes
QTextBrowser * | browser_
| The textbrowser of the tab.

## Constructor & Destructor Documentation

## ◆ HelpPage()

GpgFrontend::UI::HelpPage::HelpPage | ( | const QString & | path,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

Construct a new Help Page object.

Parameters

  path |
  parent |

References browser_, localized_help(), and slot_open_url().

## Member Function Documentation

## ◆ GetBrowser()

QTextBrowser * GpgFrontend::UI::HelpPage::GetBrowser | ( |  | ) |

Get the Browser object.

Returns
  QTextBrowser*

References browser_.

## ◆ localized_help()

QUrl GpgFrontend::UI::HelpPage::localized_help | ( | const QUrl & | url | ) |
| private

HelpPage::localized_help check if the requested file is also available with the locale, e.g. return index.de.html if index.html was requested but the locale is de and index.de.html is available.

Parameters

  url |

Returns

Referenced by HelpPage(), and slot_open_url().

## ◆ slot_open_url

void GpgFrontend::UI::HelpPage::slot_open_url | ( | const QUrl & | url | ) |
| slot

Parameters

  url |

References browser_, and localized_help().

Referenced by HelpPage().

The documentation for this class was generated from the following files:

- src/ui/widgets/HelpPage.h
- src/ui/widgets/HelpPage.cpp